> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Token Price by Token Addresses

> This endpoint allows you to **get token price based on the provided token contract address on a network**

<Note>
  ### Note

  * If the token's market cap is not verified by the team, the API response will return `null` for its market cap value, even though it has a displayed value on GeckoTerminal, which might not be accurate as it often matches the Fully Diluted Valuation (FDV).
    * If you require `market_cap_usd` to return FDV value (as seen on [GeckoTerminal.com](https://www.geckoterminal.com/)) when market cap data is unavailable, please specify this parameter `mcap_fdv_fallback=true`.
  * The returned price currency is in USD.
  * Addresses not found in GeckoTerminal will be ignored.
  * This endpoint allows querying **up to 100 contract addresses** per request. This limit is exclusive for [paid plan](https://www.coingecko.com/en/api/pricing) subscribers (Analyst plan & above).
  * When using this endpoint, GeckoTerminal's routing decides the best pool for token price. The price source may change based on liquidity and pool activity. For full control over the price, you may use [`/networks/{network}/pools/{address}`](/reference/pool-address) endpoint by providing a specific pool address.
  * If `include_inactive_source=true` is set and no top pool is found for a token, the search will expand to include recently active pools up to the past 1 year.
  * Cache / Update Frequency: Real-time (Cacheless) for Pro API (Basic, Analyst, Lite, Pro, Enterprise).
</Note>


## OpenAPI

````yaml api-reference/onchain-pro.json get /simple/networks/{network}/token_price/{addresses}
openapi: 3.0.0
info:
  title: Onchain DEX API (Pro)
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3/onchain
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /simple/networks/{network}/token_price/{addresses}:
    get:
      tags:
        - Simple
      summary: Token Price by Token Addresses
      description: >-
        This endpoint allows you to **get token price based on the provided
        token contract address on a network**
      operationId: onchain-simple-price
      parameters:
        - name: network
          in: path
          description: |-
            network ID 
             *refers to [/networks](/reference/networks-list)
          required: true
          schema:
            type: string
            example: eth
            default: eth
        - name: addresses
          in: path
          description: >-
            token contract address, comma-separated if more than one token
            contract address
          required: true
          schema:
            type: string
            default: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
          examples:
            one value:
              value: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
            multiple values:
              value: >-
                0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2,0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48
        - name: include_market_cap
          in: query
          description: 'include market capitalization, default: false'
          required: false
          schema:
            type: boolean
        - name: mcap_fdv_fallback
          in: query
          description: 'return FDV if market cap is not available, default: false'
          required: false
          schema:
            type: boolean
        - name: include_24hr_vol
          in: query
          description: 'include 24hr volume, default: false'
          required: false
          schema:
            type: boolean
        - name: include_24hr_price_change
          in: query
          description: 'include 24hr price change, default: false'
          required: false
          schema:
            type: boolean
        - name: include_total_reserve_in_usd
          in: query
          description: 'include total reserve in USD, default: false'
          required: false
          schema:
            type: boolean
        - name: include_inactive_source
          in: query
          required: false
          description: >-
            include token price data from inactive pools using the most recent
            swap, default: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Get current USD prices of multiple tokens on a network
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnchainSimplePrice'
components:
  schemas:
    OnchainSimplePrice:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
            attributes:
              type: object
              properties:
                token_prices:
                  type: object
                  additionalProperties:
                    type: string
                market_cap_usd:
                  type: object
                  additionalProperties:
                    type: string
                h24_volume_usd:
                  type: object
                  additionalProperties:
                    type: string
                h24_price_change_percentage:
                  type: object
                  additionalProperties:
                    type: string
                total_reserve_in_usd:
                  type: object
                  additionalProperties:
                    type: string
                last_trade_timestamp:
                  type: object
                  additionalProperties:
                    type: integer
      example:
        data:
          id: 1ba898f0-eda2-4291-9491-9a5b323f66ef
          type: simple_token_price
          attributes:
            token_prices:
              '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2': '2289.33'
            market_cap_usd:
              '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2': '6692452895.779648'
            h24_volume_usd:
              '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2': '965988358.733808'
            h24_price_change_percentage:
              '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2': '3.3870290336'
            total_reserve_in_usd:
              '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2': '1576179559.94669772339136684208'
            last_trade_timestamp:
              '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2': 1712534400
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_pro_api_key

````